// Author : Pierre Vuillemin (2016)
// License : CECILL

// power .......................................................................
function newVar = %sopiVar_p_s(var, pow)
   if ~var.isSquare then
      error("Power only for square variables");
   end
   if pow == 1 then
      newVar      = var;
   else
      powVar         = sopi_constant(pow);
      newVar         = sopi_newVar()
      newVar.size    = size(var)
      newVar.operator = "pow"
      newVar.args    = list(var,powVar)
   end
endfunction
