// Author : Pierre Vuillemin (2016)
// License : CECILL
mode(-1)
mprintf("\tBuilding macros\n")
function buildMacros()
   macros_root    = get_absolute_file_path('buildmacros.sce');
   macros_src     = macros_root + "src" + filesep()
   build_target   = macros_root + "build"

   genlib(toolbox_name + "lib", macros_src, %T, %F);

   bin_files   = findfiles(macros_src,'*.bin')

   for i = 1:size(bin_files,1)
      f           = bin_files(i,:)
      file_path   = macros_src + f
      movefile(file_path, build_target)
   end
   movefile(macros_src + "lib", build_target)
   movefile(macros_src + "names", build_target)
endfunction

buildMacros()
clear buildMacros
