// Author : Pierre Vuillemin (2016)
// License : CECILL

// sopiVar' ....................................................................
// transposes a sopiVar.
function newVar = %sopiVar_t(var)
   sopi_print(5,"Performing sopiVar''.\n");   
   if var.isScalar then
      newVar   = var;
   elseif var.operator == "transpose" then
      newVar   = var.args(1)
   else
      newVar         = sopi_newVar()
      newVar.size    = [var.size(2), var.size(1)]
      newVar.operator = "transpose"
      newVar.args = list(var)
   end
endfunction
